Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class DelegatingMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass

All Implemented Interfaces:
  GroovyObject, MetaClass, MutableMetaClass

    public class DelegatingMetaClass
    extends java.lang.Object

Authors:
  John Wilson

Field Summary
`protected MetaClass` | `delegate`

Constructor Summary
`DelegatingMetaClass(MetaClass delegate)`
`DelegatingMetaClass(java.lang.Class theClass)`

Method Summary
`void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)`
`void` | `addMetaMethod(MetaMethod metaMethod)`
`void` | `addNewInstanceMethod(java.lang.reflect.Method method)`
`void` | `addNewStaticMethod(java.lang.reflect.Method method)`
`boolean` | `equals(java.lang.Object obj)`
`MetaClass` | `getAdaptee()`
`java.lang.Object` | `getAttribute(java.lang.Object object, java.lang.String attribute)`
`java.lang.Object` | `getAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper)`
`ClassNode` | `getClassNode()`
`MetaClass` | `getMetaClass()`
`MetaMethod` | `getMetaMethod(java.lang.String name, java.lang.Object[] args)`
`java.util.List` | `getMetaMethods()`
`MetaProperty` | `getMetaProperty(java.lang.String name)`
`java.util.List` | `getMethods()`
`java.util.List` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.Object object, java.lang.String property)`
`java.lang.Object` | `getProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper, boolean fromInsideClass)`
`java.lang.Object` | `getProperty(java.lang.String property)`
`MetaMethod` | `getStaticMetaMethod(java.lang.String name, java.lang.Object[] args)`
`MetaMethod` | `getStaticMetaMethod(java.lang.String name, java.lang.Class[] argTypes)`
`java.lang.Class` | `getTheClass()`
`MetaProperty` | `hasProperty(java.lang.Object obj, java.lang.String name)`
`int` | `hashCode()`
`void` | `initialize()`
`java.lang.Object` | `invokeConstructor(java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Class sender, java.lang.Object receiver, java.lang.String methodName, java.lang.Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `invokeMissingMethod(java.lang.Object instance, java.lang.String methodName, java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMissingProperty(java.lang.Object instance, java.lang.String propertyName, java.lang.Object optionalValue, boolean isGetter)`
`java.lang.Object` | `invokeStaticMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`boolean` | `isGroovyObject()`
`boolean` | `isModified()`
`MetaMethod` | `pickMethod(java.lang.String methodName, java.lang.Class[] arguments)` @deprecated
`java.util.List` | `respondsTo(java.lang.Object obj, java.lang.String name, java.lang.Object[] argTypes)`
`java.util.List` | `respondsTo(java.lang.Object obj, java.lang.String name)`
`int` | `selectConstructorAndTransformArguments(int numberOfConstructors, java.lang.Object[] arguments)`
`void` | `setAdaptee(MetaClass adaptee)`
`void` | `setAttribute(java.lang.Object object, java.lang.String attribute, java.lang.Object newValue)`
`void` | `setAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(java.lang.Object object, java.lang.String property, java.lang.Object newValue)`
`void` | `setProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### delegate

    protected MetaClass delegate

Constructor Detail

### DelegatingMetaClass

    public DelegatingMetaClass(MetaClass delegate)

### DelegatingMetaClass

    public DelegatingMetaClass(java.lang.Class theClass)

Method Detail

### addMetaBeanProperty

    public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

### addMetaMethod

    public void addMetaMethod(MetaMethod metaMethod)

### addNewInstanceMethod

    public void addNewInstanceMethod(java.lang.reflect.Method method)

### addNewStaticMethod

    public void addNewStaticMethod(java.lang.reflect.Method method)

### equals

    public boolean equals(java.lang.Object obj)

### getAdaptee

    public MetaClass getAdaptee()

### getAttribute

    public java.lang.Object getAttribute(java.lang.Object object, java.lang.String attribute)

### getAttribute

    public java.lang.Object getAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper)

### getClassNode

    public ClassNode getClassNode()

### getMetaClass

    public MetaClass getMetaClass()

### getMetaMethod

    public MetaMethod getMetaMethod(java.lang.String name, java.lang.Object[] args)

### getMetaMethods

    public java.util.List getMetaMethods()

### getMetaProperty

    public MetaProperty getMetaProperty(java.lang.String name)

### getMethods

    public java.util.List getMethods()

### getProperties

    public java.util.List getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.Object object, java.lang.String property)

### getProperty

    public java.lang.Object getProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper, boolean fromInsideClass)

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(java.lang.String name, java.lang.Object[] args)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(java.lang.String name, java.lang.Class[] argTypes)

### getTheClass

    public java.lang.Class getTheClass()

### hasProperty

    public MetaProperty hasProperty(java.lang.Object obj, java.lang.String name)

### hashCode

    public int hashCode()

### initialize

    public void initialize()

### invokeConstructor

    public java.lang.Object invokeConstructor(java.lang.Object[] arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Class sender, java.lang.Object receiver, java.lang.String methodName, java.lang.Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### invokeMissingMethod

    public java.lang.Object invokeMissingMethod(java.lang.Object instance, java.lang.String methodName, java.lang.Object[] arguments)

### invokeMissingProperty

    public java.lang.Object invokeMissingProperty(java.lang.Object instance, java.lang.String propertyName, java.lang.Object optionalValue, boolean isGetter)

### invokeStaticMethod

    public java.lang.Object invokeStaticMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### isGroovyObject

    public boolean isGroovyObject()

### isModified

    public boolean isModified()

### pickMethod

    public MetaMethod pickMethod(java.lang.String methodName, java.lang.Class[] arguments)

  deprecated:

### respondsTo

    public java.util.List respondsTo(java.lang.Object obj, java.lang.String name, java.lang.Object[] argTypes)

### respondsTo

    public java.util.List respondsTo(java.lang.Object obj, java.lang.String name)

### selectConstructorAndTransformArguments

    public int selectConstructorAndTransformArguments(int numberOfConstructors, java.lang.Object[] arguments)

### setAdaptee

    public void setAdaptee(MetaClass adaptee)

### setAttribute

    public void setAttribute(java.lang.Object object, java.lang.String attribute, java.lang.Object newValue)

### setAttribute

    public void setAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(java.lang.Object object, java.lang.String property, java.lang.Object newValue)

### setProperty

    public void setProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

### toString

    public java.lang.String toString()

Groovy Documentation